Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.ddl
Interface DdlConstants.StatementStartPhrases

All Known Implementing Classes:
  DerbyDdlParser, MySqlDdlParser, OracleDdlParser, PostgresDdlParser, StandardDdlParser

Enclosing interface:
  DdlConstants

    public static interface DdlConstants.StatementStartPhrases

Field Summary
`static String[][]` | `SQL_92_ALL_PHRASES`
`static String[]` | `STMT_ALTER_DOMAIN`
`static String[]` | `STMT_ALTER_TABLE`
`static String[]` | `STMT_CREATE_ASSERTION`
`static String[]` | `STMT_CREATE_CHARACTER_SET`
`static String[]` | `STMT_CREATE_COLLATION`
`static String[]` | `STMT_CREATE_DOMAIN`
`static String[]` | `STMT_CREATE_GLOBAL_TEMPORARY_TABLE`
`static String[]` | `STMT_CREATE_LOCAL_TEMPORARY_TABLE`
`static String[]` | `STMT_CREATE_OR_REPLACE_VIEW`
`static String[]` | `STMT_CREATE_SCHEMA`
`static String[]` | `STMT_CREATE_TABLE`
`static String[]` | `STMT_CREATE_TRANSLATION`
`static String[]` | `STMT_CREATE_VIEW`
`static String[]` | `STMT_DROP_ASSERTION`
`static String[]` | `STMT_DROP_CHARACTER_SET`
`static String[]` | `STMT_DROP_COLLATION`
`static String[]` | `STMT_DROP_DOMAIN`
`static String[]` | `STMT_DROP_SCHEMA`
`static String[]` | `STMT_DROP_TABLE`
`static String[]` | `STMT_DROP_TRANSLATION`
`static String[]` | `STMT_DROP_VIEW`
`static String[]` | `STMT_GRANT`
`static String[]` | `STMT_INSERT_INTO`
`static String[]` | `STMT_REVOKE`
`static String[]` | `STMT_SET_DEFINE`
`static String[]` | `VALID_SCHEMA_CHILD_TYPES`

Field Detail

### STMT_CREATE_SCHEMA

    static final String[] STMT_CREATE_SCHEMA

### STMT_CREATE_TABLE

    static final String[] STMT_CREATE_TABLE

### STMT_CREATE_GLOBAL_TEMPORARY_TABLE

    static final String[] STMT_CREATE_GLOBAL_TEMPORARY_TABLE

### STMT_CREATE_LOCAL_TEMPORARY_TABLE

    static final String[] STMT_CREATE_LOCAL_TEMPORARY_TABLE

### STMT_CREATE_VIEW

    static final String[] STMT_CREATE_VIEW

### STMT_CREATE_OR_REPLACE_VIEW

    static final String[] STMT_CREATE_OR_REPLACE_VIEW

### STMT_CREATE_ASSERTION

    static final String[] STMT_CREATE_ASSERTION

### STMT_CREATE_CHARACTER_SET

    static final String[] STMT_CREATE_CHARACTER_SET

### STMT_CREATE_COLLATION

    static final String[] STMT_CREATE_COLLATION

### STMT_CREATE_DOMAIN

    static final String[] STMT_CREATE_DOMAIN

### STMT_CREATE_TRANSLATION

    static final String[] STMT_CREATE_TRANSLATION

### STMT_ALTER_TABLE

    static final String[] STMT_ALTER_TABLE

### STMT_ALTER_DOMAIN

    static final String[] STMT_ALTER_DOMAIN

### STMT_GRANT

    static final String[] STMT_GRANT

### STMT_REVOKE

    static final String[] STMT_REVOKE

### STMT_DROP_SCHEMA

    static final String[] STMT_DROP_SCHEMA

### STMT_DROP_TABLE

    static final String[] STMT_DROP_TABLE

### STMT_DROP_VIEW

    static final String[] STMT_DROP_VIEW

### STMT_DROP_DOMAIN

    static final String[] STMT_DROP_DOMAIN

### STMT_DROP_CHARACTER_SET

    static final String[] STMT_DROP_CHARACTER_SET

### STMT_DROP_COLLATION

    static final String[] STMT_DROP_COLLATION

### STMT_DROP_TRANSLATION

    static final String[] STMT_DROP_TRANSLATION

### STMT_DROP_ASSERTION

    static final String[] STMT_DROP_ASSERTION

### STMT_INSERT_INTO

    static final String[] STMT_INSERT_INTO

### STMT_SET_DEFINE

    static final String[] STMT_SET_DEFINE

### SQL_92_ALL_PHRASES

    static final String[][] SQL_92_ALL_PHRASES

### VALID_SCHEMA_CHILD_TYPES

    static final String[] VALID_SCHEMA_CHILD_TYPES

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.